Get density

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/density

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • selectedActivityCodeIds array[integer(int64)] Required
  • viewType string

    Values are YEAR, QUARTER, MONTH, or DAY. Default value is YEAR.

  • scopeStartDate string
  • scopeFinishDate string
  • dataDate string
  • filterId array[integer(int64)]

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • startDate string(date-time)
    • endDate string(date-time)
    • count integer(int64)
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/density
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/density?selectedActivityCodeIds=42' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "startDate": "2026-05-04T09:42:00Z",
    "endDate": "2026-05-04T09:42:00Z",
    "count": 42
  }
]